@font-face {
	font-family: 'Instrument Sans';
	font-weight: 400;
	font-display: swap;
	src: url('/fonts/InstrumentSans-Regular.woff2') format('woff2');
}
@font-face {
	font-family: 'Instrument Sans';
	font-weight: 500;
	font-display: swap;
	src: url('/fonts/InstrumentSans-Medium.woff2') format('woff2');
}
@font-face {
	font-family: 'Instrument Sans';
	font-weight: 600;
	font-display: swap;
	src: url('/fonts/InstrumentSans-SemiBold.woff2') format('woff2');
}
@font-face {
	font-family: 'Instrument Sans';
	font-weight: 700;
	font-display: swap;
	src: url('/fonts/InstrumentSans-Bold.woff2') format('woff2');
}

@font-face {
	font-family: Inter;
	font-weight: 400;
	font-display: swap;
	src: url('/fonts/Inter-Regular.woff2') format('woff2');
}
@font-face {
	font-family: Inter;
	font-weight: 500;
	font-display: swap;
	src: url('/fonts/Inter-Medium.woff2') format('woff2');
}
@font-face {
	font-family: Inter;
	font-weight: 600;
	font-display: swap;
	src: url('/fonts/Inter-SemiBold.woff2') format('woff2');
}
@font-face {
	font-family: Inter;
	font-weight: 700;
	font-display: swap;
	src: url('/fonts/Inter-Bold.woff2') format('woff2');
}
@font-face {
	font-family: Inter;
	font-weight: 800;
	font-display: swap;
	src: url('/fonts/Inter-ExtraBold.woff2') format('woff2');
}

:root {
	font-family: 'Inter', sans-serif;
	font-size: 16px;
}

::-webkit-scrollbar {
	background: white;
}

::-webkit-scrollbar-track {
	background: transparent;
}

::-webkit-scrollbar-thumb {
	background-color: #abb0b8;
	border-radius: 1rem;
}

::-webkit-scrollbar-thumb:hover {
	background-color: #8b8f96;
}

::-webkit-scrollbar-thumb:active {
	background-color: #5e6268;
}

::-webkit-scrollbar:horizontal {
	height: 0.5rem;
}

::-webkit-scrollbar:vertical {
	width: 0.5rem;
}

::-webkit-scrollbar-corner {
	background: transparent;
}
 

#snackbar-container {
	display: flex;
	gap: 1rem;
	flex-direction: column-reverse;
	position: fixed;
	bottom: 2rem;
	right: 2rem;
	height: fit-content;
	z-index: 999;
	.snackbar:hover {
		button.btn-cross {
			color: white !important;
		}
	}
}

.gradient-shimmer {
    background: linear-gradient(
      90deg,
      #171717 0%,
      #737373 33%,
      #a3a3a3 66%,
      #171717 100%
    );
    background-size: 200% 100%;
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
  }
  .search-spinner {
	position: absolute;
	top: calc(50% - 7px);
	right: 20px;
	transform: translate(-50%, -50%);
	height: 14px;
	width: 14px;
	box-sizing: border-box;
	background: conic-gradient(
	  from 90deg at 50% 50%,
	  rgba(39, 174, 96, 0) 0deg,
	  rgba(31, 144, 255, 0) 0.04deg,
	  #1f90ff 360deg
	);
	border-radius: 56px;
	animation: 2s rotate infinite linear;
  }
  
  .search-spinner::before {
	content: '';
	position: absolute;
	left: 50%;
	top: 50%;
	transform: translate(-50%, -50%);
	height: 10px;
	width: 10px;
	background: #fff;
	border-radius: 48px;
  }
  
  .search-spinner::after {
	content: '';
	position: absolute;
	right: 0;
	top: 50%;
	transform: translateY(-50%);
	height: 2px;
	width: 2px;
	background: #1f90ff;
	border-radius: 8px;
  }
  
  @keyframes rotate {
	0% {
	  transform: rotate(0deg);
	}
	100% {
	  transform: rotate(360deg);
	}
  }